glab(1)

NAME
glab-cluster-agent-update-kubeconfig - Update selected kubeconfig.

SYNOPSIS
glab cluster agent update-kubeconfig [flags]

DESCRIPTION
Update selected kubeconfig for use with a GitLab agent for Kubernetes.

OPTIONS
-a, --agent=0
    The numeric agent ID to create the kubeconfig entry for.

-c, --cache-mode="force-keyring"
    Mode to use for caching the token. Allowed values: keyring-filesystem-fallback, force-keyring, force-filesystem, no

--check-revoked[=false]
    Check if a cached token is revoked. Requires an API call to GitLab, which adds latency every time a cached token is accessed.

--kubeconfig=""
    Use a particular kubeconfig file.

--token-expiry-duration=24h0m0s
    Duration for generated token's validity. Minimum is 1 day. Expires at end of day, and ignores time.

-u, --use-context[=false]
    Use as default context.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

SEE ALSO
glab-cluster-agent(1)